
RADOS - Bug #56495

Log at 1 when Throttle::get_or_fail() fails

07/08/2022 01:48 AM - Brad Hubbard

Status: Resolved % Done: 100%

Priority: Normal Spent time: 0.00 hour

Assignee: Brad Hubbard   

Category:    

Target version:    

Source:  Affected Versions:  

Tags:  ceph-qa-suite:  

Backport: pacific, quincy Component(RADOS):  

Regression: No Pull request ID: 47019

Severity: 3 - minor Crash signature (v1):  

Reviewed:  Crash signature (v2):  

Description

When trying to debug a throttle failure we currently need to set debug_ms=20 which can delay troubleshooting due to the fact there is

a tendency to try lower debugging values due to the volume of logging produced at higher levels. Therefore the following messages

(and similar failure notficiations) should be generated at level 1 in my humble opinion.

2020-02-22 14:44:50.504 7fcf89f63700 10 --2- [v2:172.21.15.44:6800/32851,v1:172.21.15.44:6801/3285

1] >> [v2:172.21.15.44:6834/2377610774,v1:172.21.15.44:6835/2377610774] conn(0x55eea818bc00 0x55ee

a7be0580 crc :-1 s=THROTTLE_MESSAGE pgs=4 cs=0 l=1 rx=0 tx=0).throttle_message wants 1 message fro

m policy throttler 128/128

Related issues:

Related to Messengers - Feature #46226: msg: Messenger should log when it rea... Fix Under Review

Copied to RADOS - Backport #56641: quincy: Log at 1 when Throttle::get_or_fai... Resolved

Copied to RADOS - Backport #56642: pacific: Log at 1 when Throttle::get_or_fa... Resolved

History

#1 - 07/08/2022 02:03 AM - Brad Hubbard

- Pull request ID set to 47019

#2 - 07/12/2022 10:29 PM - Neha Ojha

- Status changed from New to Fix Under Review

#3 - 07/12/2022 10:30 PM - Brad Hubbard

- Related to Feature #46226: msg: Messenger should log when it reaches the DispatchQueue throttle limit added

#4 - 07/19/2022 02:07 PM - Yuri Weinstein

https://github.com/ceph/ceph/pull/47019 merged

#5 - 07/19/2022 09:18 PM - Brad Hubbard

- Status changed from Fix Under Review to Pending Backport

#6 - 07/19/2022 09:20 PM - Backport Bot

- Copied to Backport #56641: quincy: Log at 1 when Throttle::get_or_fail() fails added

#7 - 07/19/2022 09:20 PM - Backport Bot
https://github.com/ceph/ceph/pull/47019


- Copied to Backport #56642: pacific: Log at 1 when Throttle::get_or_fail() fails added

#8 - 08/08/2022 04:25 PM - Backport Bot

- Tags set to backport_processed

#9 - 09/24/2022 08:08 AM - Konstantin Shalygin

- Status changed from Pending Backport to Resolved

- % Done changed from 0 to 100

- Tags deleted (backport_processed)
